Skip to end of metadata
Go to start of metadata

Requirements

To install Decapod 0.7, you will need to satisfy the following requirements:

Required:

  • Ubuntu 12.04 64-bit
  • Firefox 17 or later
  • Decapod application and all its dependencies

Recommended:

Installation Procedure

You will need Mercurial to access the Decapod code repository. You can install Mercurial by running sudo apt-get install mercurial

If you are using Mercurial v1.7.4+ you may need to set the hostfingerprints.

For instructions and an example of setting the fingerprint, please refer to this: Setting Host Fingerprints for Mercurial.

In a terminal, run the following:

hg clone https://decapod.googlecode.com/hg/ -r decapod-0.7 decapod-0.7
cd decapod-0.7/install-scripts/
sudo ./decapod-all.sh

The above commands will retrieve the 0.7 release of the Decapod source code.

Note: the Decapod 0.7 tag may not appear in the cloned source (see: http://mercurial.selenic.com/wiki/Tag)

To Run Decapod for the First Time

Assuming your current directory is ./decapod-0.7/, enter the following commands in a terminal to run the different Decapod components:

Component Name

Command Line

Default HTTP address

Calibration

python ./dewarp/dewarpServer.py

http://localhost:8080/

Capture

python ./capture/captureServer.py

http://localhost:8081/

Dewarp

python ./dewarp/dewarpServer.py

http://localhost:8082/

Conversion

python ./export/exportServer.py

http://localhost:8083/

Troubleshooting

"<Some file> not found." Error
Try running through the installation steps again as shown above.

On this Page
  • No labels